org.eclipse.remote.serial.ui

## Class NewSerialPortConnectionWizardPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.remote.serial.ui.NewSerialPortConnectionWizardPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class NewSerialPortConnectionWizardPage
    extends org.eclipse.jface.wizard.WizardPage

### Field Summary

Fields
`protected SerialPortConnectionBlock` `block`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`NewSerialPortConnectionWizardPage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`int` `getBaudRateIndex()`
`int` `getByteSizeIndex()`
`java.lang.String` `getConnectionName()`
`int` `getParityIndex()`
`java.lang.String` `getPortName()`
`int` `getStopBitsIndex()`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

### Field Detail

#### block

    protected SerialPortConnectionBlock block

### Constructor Detail

#### NewSerialPortConnectionWizardPage

    public NewSerialPortConnectionWizardPage()

### Method Detail

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

#### getConnectionName

    public java.lang.String getConnectionName()

#### getPortName

    public java.lang.String getPortName()

#### getBaudRateIndex

    public int getBaudRateIndex()

#### getByteSizeIndex

    public int getByteSizeIndex()

#### getParityIndex

    public int getParityIndex()

#### getStopBitsIndex

    public int getStopBitsIndex()